Last-Update: 2013-07-29
Forwarded: not-needed
Origin: upstream, commit:4652af9cf119145af3a90c632f8a6db215946784
Bug-Iksemel: https://code.google.com/p/iksemel/issues/detail?id=20
Author: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: use pkgconfig for checking gnutls

--- a/configure.ac
+++ b/configure.ac
@@ -44,9 +44,17 @@
 AC_SEARCH_LIBS(recv,socket)
 AC_CHECK_FUNCS(getopt_long)
 AC_CHECK_FUNCS(getaddrinfo)
 
-AM_PATH_LIBGNUTLS(,AC_DEFINE(HAVE_GNUTLS,,"Use libgnutls"))
+dnl Check GNU TLS
+PKG_CHECK_MODULES(GNUTLS, gnutls >= 2.0.0, have_gnutls=yes, have_gnutls=no) 
+if test "x$have_gnutls" = "xyes"; then
+  LIBGNUTLS_CFLAGS="$GNUTLS_CFLAGS"
+  LIBGNUTLS_LIBS="$GNUTLS_LIBS"
+  AC_SUBST(LIBGNUTLS_CFLAGS)
+  AC_SUBST(LIBGNUTLS_LIBS)
+  AC_DEFINE(HAVE_GNUTLS, 1, [whether to use GnuTSL support.]) 
+fi
 
 dnl Check -Wall flag of GCC
 if test "x$GCC" = "xyes"; then
   if test -z "`echo "$CFLAGS" | grep "\-Wall" 2> /dev/null`" ; then
